# Makefile for  Tool chain to process Japanese WikiPedia text

CC = g++
INCLUDE = -I/usr/local/include -I/usr/include
CFLAGS  = -Wall -O2

TARGET = make_transition freq_to_transition make_me_params

all: $(TARGET)

make_transition: make_transition.cpp
	$(CC) $(CFLAGS) $(INCLUDE) $< -o $@
freq_to_transition: freq_to_transition.cpp
	$(CC) $(CFLAGS) $(INCLUDE) $< -o $@
make_me_params: make_me_params.cpp
	$(CC) $(CFLAGS) $(INCLUDE) $< -o $@

.PHONY: clean

clean:
	rm -f $(TARGET) clean